#
# spec file for package yast2-config-x11 (Version 2.4.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libyui tcl yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-x11
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-inst-x11 yast2-lib-wizard yast2-lib-sequencer
BuildArchitectures:	noarch
Summary:      YaST2 module for configuring X11 from the YaST2 control center.
Version:      2.4.10
Release:      32
Source0:	yast2-config-x11-2.4.10.tar.bz2

%description
This module is used for configuring X11 from within a running system. The module is accessible via the YaST2 control center.

Authors:
--------
    Thomas Roelz

SuSE series: yast

%prep
%setup -n yast2-config-x11-2.4.10

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/include/x11
/usr/lib/YaST2/include/x11/*
/usr/lib/YaST2/clients/x11.ycp
/usr/lib/YaST2/clients/x11_write.ycp
/usr/lib/YaST2/menuentries/menuentry_x11.ycp
%dir /usr/share/doc/packages/yast2-config-x11
/usr/share/doc/packages/yast2-config-x11/*

%changelog -n yast2-config-x11
* Sun Sep 23 2001 - tom@suse.de
- (#11217) invented another special case handling for VMWare.
* Wed Sep 19 2001 - tom@suse.de
- Moved to group "Hardware" now (#10914).
* Tue Sep 18 2001 - tom@suse.de
- (#10873) Now the packages really needed are installed.
* Mon Sep 17 2001 - tom@suse.de
- Corrected Requires: yast2-trans-inst-x11
* Fri Sep 07 2001 - kkaempf@suse.de
- install 3ddiag and xloader if missing.
* Thu Sep 06 2001 - kkaempf@suse.de
- install mesasoft if missing.
* Wed Sep 05 2001 - kkaempf@suse.de
- automatically install missing XFree86 packages.
* Wed Sep 05 2001 - kkaempf@suse.de
- allow first-time X11 configuration during runtime.
  properly detect missing X11 packages.
* Tue Sep 04 2001 - kkaempf@suse.de
- use "import" feature for Arch and Installation.
* Sat Aug 18 2001 - tom@suse.de
- Finished. Now works with new (modified) X11 configuration dialog.
* Fri Jul 27 2001 - tom@suse.de
- first check in, only draft
* Thu Mar 22 2001 - tom@suse.de
- initial version
